actions: []
api_documentation: http://docs.ros.org/en/noetic/api/fanuc_cr35ia_support/html
authors: G.A. vd. Hoorn (TU Delft Robotics Institute)
brief: ''
bugtracker: https://github.com/ros-industrial/fanuc/issues
depends:
- catkin
- fanuc_driver
- fanuc_resources
- industrial_robot_client
- joint_state_publisher_gui
- robot_state_publisher
- rviz
- xacro
depends_on:
- fanuc
description: "<p>\n      ROS-Industrial support for the Fanuc CR-35iA (and variants).\n\
  \    </p>\n    <p>\n      This package contains configuration data, 3D models and\
  \ launch files\n      for Fanuc CR-35iA manipulators. This currently includes the\
  \ base model\n      only.\n    </p>\n    <p><b>Specifications</b>:</p>\n    <ul>\n\
  \      <li>CR-35iA - Normal Range</li>\n    </ul>\n    <p>\n      Joint limits and\
  \ maximum joint velocities are based on the information in\n      the <em>FANUC\
  \ Robot CR-35iA Mechanical Unit Operator's Manual</em> version\n      <em>B-83734EN/01</em>.\
  \ All urdfs are based on the default motion and\n      joint velocity limits, unless\
  \ noted otherwise (ie: no support for high\n      speed joints, extended / limited\
  \ motion ranges or other options).\n    </p>\n    <p>\n      Before using any of\
  \ the configuration files and / or meshes included\n      in this package, be sure\
  \ to check they are correct for the particular\n      robot model and configuration\
  \ you intend to use them with.\n    </p>\n    <p>\n      <b>Note</b>: there is currently\
  \ some confusion over the correct values for\n      the joint limits of joints 2\
  \ and 3. Version <em>B-83734EN/01</em> of the\n      Operator's Manual incorrectly\
  \ states that 1.05 rad equals 120 degrees,\n      and that 0.39 rad equals 45 degrees\
  \ (joint 2). Additionally, it gives a\n      value of -122.9 degrees for the lower\
  \ limit of joint 3, whereas (at\n      least) Roboguide Rev K have this limit set\
  \ to -182 degrees.\n      We advise users to pay extra attention when verifying\
  \ the xacro in this\n      support package until this is cleared up.\n    </p>"
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__fanuc__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__fanuc__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
metapackages:
- fanuc
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__fanuc_cr35ia_support__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__fanuc_cr35ia_support__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__fanuc_cr35ia_support__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__fanuc_cr35ia_support__ubuntu_focal_arm64__binary
repo_name: fanuc
repo_url: https://github.com/ros-industrial/fanuc
srvs: []
timestamp: 1740052821.6571133
url: http://wiki.ros.org/fanuc_cr35ia_support
vcs: git
vcs_uri: https://github.com/ros-industrial/fanuc.git
vcs_version: noetic
